<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="nl" lang="nl">

<head profile="http://selenium-ide.openqa.org/profiles/test-case">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="selenium.base" href="https://10.44.0.11/" />
  <title>Catalogus testen</title>
</head>

<body>
  <table cellpadding="1" cellspacing="1" border="1">
    <thead>
      <tr>
        <td rowspan="1" colspan="3">Catalogus testen</td>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>open</td>
        <td>/</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='topsection']/div[3]/div[2]/div[2]/button</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=Catalogus</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=Testcases</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=Basic testronde</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=Empty folder</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div/div[2]/div/div/div/a</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=Kenmerk</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=kenmerk_naam</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=kenmerk_naam</td>
        <td>Kenmerk testen</td>
      </tr>
      <tr>
        <td>keyPress</td>
        <td>name=kenmerk_naam</td>
        <td>\9</td>
      </tr>
      <tr>
        <td>fireEvent</td>
        <td>name=kenmerk_naam</td>
        <td>blur</td>
      </tr>
      <tr>
        <td>select</td>
        <td>id=kenmerk_invoertype</td>
        <td>label=Tekstveld</td>
      </tr>
      <tr>
        <td>pause</td>
        <td>1000</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>css=input.button.button-primary</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>css=span.has-icon</td>
        <td>Kenmerk testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div[2]/div/div/table/tbody/tr/td[5]/div/div/span</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=Verwijderen</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=commit_message</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=commit_message</td>
        <td>verwijderen</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>id=dialog-submit</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyTextNotPresent</td>
        <td>css=span.has-icon</td>
        <td>Kenmerk testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div/div[2]/div/div/div/a/i</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=Zaaktype</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=node.titel</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=node.titel</td>
        <td>Zaaktype testen</td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=node.code</td>
        <td>1</td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=definitie.grondslag</td>
        <td>1</td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=definitie.afhandeltermijn</td>
        <td>1</td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=definitie.servicenorm</td>
        <td>1</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=afronden</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>id=basisattributen</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>id=basisattributen</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>//input[@value='Publiceren']</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>//div[@id='contentcolumn']/div/form/div/div[2]/div/div/table/tbody/tr/td[5]/div/div/span</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>link=Zaaktype testen</td>
        <td>Zaaktype testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div[2]/div/div/table/tbody/tr/td[5]/div/div/span</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=Verwijderen</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=commit_message</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=commit_message</td>
        <td>a</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>id=dialog-submit</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>css=td</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyTextNotPresent</td>
        <td>link=Zaaktype testen</td>
        <td>Zaaktype testen</td>
      </tr>
      <tr>
        <td>selectWindow</td>
        <td>null</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div/div[2]/div/div/div/a/i</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=Sjabloon</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=naam</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=naam</td>
        <td>Sjabloon testen</td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=filename</td>
        <td>C:\zaaksysteem\t\selenium\documents\empty_document.odt</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>css=input.button.button-primary</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>link=Sjabloon testen</td>
        <td>Sjabloon testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div[2]/div/div/table/tbody/tr/td[5]/div/div/span</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=Verwijderen</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=commit_message</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=commit_message</td>
        <td>verwijderen</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>id=dialog-submit</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyTextNotPresent</td>
        <td>link=Sjabloon testen</td>
        <td>Sjabloon testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div/div[2]/div/div/div/a</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=E-mail</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>document.emailTemplateForm.elements[4]</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>xpath=(//input[@type='text'])[3]</td>
        <td>Email testen</td>
      </tr>
      <tr>
        <td>type</td>
        <td>xpath=(//input[@type='text'])[6]</td>
        <td>Onderwerp</td>
      </tr>
      <tr>
        <td>type</td>
        <td>document.emailTemplateForm.elements[4]</td>
        <td>Bericht</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>document.emailTemplateForm.elements[9]</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>css=span.has-icon</td>
        <td>Email testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div[2]/div/div/table/tbody/tr/td[5]/div/div/span</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>link=Verwijderen</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>name=commit_message</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>name=commit_message</td>
        <td>verwijderen</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>id=dialog-submit</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyTextNotPresent</td>
        <td>css=span.has-icon</td>
        <td>Email testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div/div[2]/div/div/div/a</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>link=Objecttype</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>id=name</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>id=name</td>
        <td>Objecttype testen</td>
      </tr>
      <tr>
        <td>type</td>
        <td>id=title_template</td>
        <td>Objecttitel</td>
      </tr>
      <tr>
        <td>select</td>
        <td>name=category_id</td>
        <td>label=-- Empty folder</td>
      </tr>
      <tr>
        <td>sendKeys</td>
        <td>xpath=(//input[@type='text'])[4]</td>
        <td>omschrijving</td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>css=div.spot-enlighter-case-title.ng-binding</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>css=div.spot-enlighter-case-title.ng-binding</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>css=input.ng-pristine.ng-valid</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>css=input.ng-pristine.ng-valid</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>xpath=(//input[@type='text'])[4]</td>
        <td>Omschrijving</td>
      </tr>
      <tr>
        <td>click</td>
        <td>css=input.ng-pristine.ng-valid</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>xpath=(//button[@type='button'])[27]</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>//div[@id='contentcolumn']/div/div/div/div[2]/div[2]/div/fieldset/div[2]/div/div/label</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>//div[@id='contentcolumn']/div/div/div/div[2]/div[2]/div/fieldset/div[2]/div/div/label</td>
        <td>exact:Gerelateerde zaaktypen *</td>
      </tr>
      <tr>
        <td>click</td>
        <td>xpath=(//button[@type='button'])[27]</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>xpath=(//button[@type='button'])[18]</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>xpath=(//button[@type='button'])[18]</td>
        <td>Rol toevoegen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>xpath=(//button[@type='button'])[27]</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>css=li.checkbox-list-item.ng-scope &gt; label &gt; input[type=&quot;checkbox&quot;]</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>css=li.checkbox-list-item.ng-scope &gt; label &gt; input[type=&quot;checkbox&quot;]</td>
        <td></td>
      </tr>
      <tr>
        <td>type</td>
        <td>id=getFieldId(field)</td>
        <td>Wijzigingsomschrijving</td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>xpath=(//button[@type='button'])[28]</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>id=name</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyValue</td>
        <td>id=name</td>
        <td>Objecttype testen</td>
      </tr>
      <tr>
        <td>open</td>
        <td>/beheer/bibliotheek/5</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyText</td>
        <td>link=Objecttype testen</td>
        <td>Objecttype testen</td>
      </tr>
      <tr>
        <td>click</td>
        <td>//div[@id='contentcolumn']/div/form/div/div[2]/div/div/table/tbody/tr/td[5]/div/div/span</td>
        <td></td>
      </tr>
      <tr>
        <td>click</td>
        <td>css=button.ng-scope</td>
        <td></td>
      </tr>
      <tr>
        <td>waitForElementPresent</td>
        <td>xpath=(//button[@type='button'])[2]</td>
        <td></td>
      </tr>
      <tr>
        <td>clickAndWait</td>
        <td>xpath=(//button[@type='button'])[2]</td>
        <td></td>
      </tr>
      <tr>
        <td>verifyTextNotPresent</td>
        <td>link=Objecttype testen</td>
        <td>Objecttype testen</td>
      </tr>
      <tr>
        <td>open</td>
        <td>/</td>
        <td></td>
      </tr>
    </tbody>
  </table>
</body>

</html>